<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:redirect="com.scenari.xsldom.xalan.lib.Redirect" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" extension-element-prefixes="redirect" exclude-result-prefixes="sc xhtml" version="1.0">
	<xsl:output omit-xml-declaration="yes" indent="no" method="xml"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="treeContent">
		<xsl:if test="entry[root='assesment' or root='assesmentDiv']">
			<div class="mnuTree">
				<ul class="sw_treeModePlan_navList">
					<xsl:apply-templates/>
				</ul>
			</div>
		</xsl:if>
	</xsl:template>
	<xsl:template match="entry">
		<xsl:variable name="vOutlineClasses" select="computeStrDialog(concat(@dialog, '/outlineClasses'))"/>
		<xsl:variable name="vUrl" select="computeStrDialog(string(@dialog), 'act:')"/>
		<xsl:variable name="vDepth" select="count(ancestor::entry)"/>
		<xsl:variable name="vIsAnc" select="containWord('parent ancestor',@position)"/>
		<xsl:choose>
			<xsl:when test="root='assesment'">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="root='assesmentDiv'">
				<li class="anc_{if($vIsAnc, 'yes', 'no')} type_{if(entry,'b','l')} {if(entry and not(descendant::entry/@position='current' or @position='current'),' type_b_c','')} dpt_{$vDepth} {$vOutlineClasses}">
					<div class="lbl type_{if(entry,'b','l')}" id="{$vUrl}">
						<a href="{$vUrl}" target="_self" class="item">
							<xsl:if test="$vIsAnc">
								<xsl:attribute name="type">up</xsl:attribute>
							</xsl:if>
							<span>
								<xsl:value-of select="@title"/>
							</span>
						</a>
					</div>
<xsl:if test="entry[root='assesmentDiv']">
					<ul class="sub mnu_open">
						<xsl:apply-templates/>
					</ul>
				</xsl:if>
				</li>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="node()"/>
</xsl:stylesheet>