﻿/* rubisMgr */
var rubisMgr = {
	fMainNav : "ide:main_nav",
	// fQuizValidBtn : "des:.toolBar",
	fContentPath : "ide:tplCo",
	fMenuPath : "ide:menu",
	fModifyBtnPath : "des:.btnRestartE",
	
	init : function(){
		scCoLib.util.log("rubisMgr.init");
		this.fMainNavNode = scPaLib.findNode(this.fMainNav);
		// this.fQuizValidBtnNode = scPaLib.findNode(this.fQuizValidBtn);
		this.fContent = scPaLib.findNode(this.fContentPath);
		this.fMenu = scPaLib.findNode(this.fMenuPath);
		tplMgr.fZenMode = 3;
		scOnLoads[scOnLoads.length] = this;
	},
	onLoad : function(){
		scCoLib.util.log("rubisMgr.onLoad");

		this.setProgressBar();
		//Supprime le modify si compteur à zero
		var vModifyBtn = scPaLib.findNode(this.fModifyBtnPath);
		if (chrono && chrono.fRemainingTime && chrono.fRemainingTime.getTime() < 200) {
			if (vModifyBtn) vModifyBtn.parentNode.removeChild(vModifyBtn);
		}
	},
	// Reset all scorm/storage datas
	resetAllDatas : function(){
		scServices.suspendDataStorage.setVal(["time"],0);
		scServices.assmntMgr.setCompletionStatus(null);
		scServices.locationStorage.setLocation("");
		if(scServices.storage && scServices.storage.isStorageActive()) {
			//scServices.storage.resetData(); : inutile car scServices.assmntMgr.resetAll
		}
		else if(scServices.scorm12 && scServices.scorm12.isScorm12Active()) {
			var vApi = scServices.scorm12.getScorm12API();
			vApi.LMSSetValue("cmi.core.score.raw", null);
			vApi.LMSSetValue("cmi.core.score.min", null);
			vApi.LMSSetValue("cmi.core.score.max", null);
		}
		else if(scServices.scorm2k4 && scServices.scorm2k4.isScorm2k4Active()) {
			var vApi = scServices.scorm2k4.getScorm2k4API();
			vApi.SetValue("cmi.score.scaled", null);
			vApi.SetValue("cmi.score.raw", null);
			vApi.SetValue("cmi.score.min", null);
			vApi.SetValue("cmi.score.max", null);
		}
		scServices.assmntMgr.resetAll();
		scServices.assmntMgr.commit(true);
		window.location.href = scPaLib.findNode("chi:",sc$('resetStorageData')).href;
	},
	setProgressBar : function(){
		var vProgress = outMgr.getProgress();
		var vProgressZone = scDynUiMgr.addElement("div", this.fMenu, "progressZone", this.fMenu.firstChild);
		vProgressZone.role = "contentinfo";
		vProgressZone.tabindex = "-1";
		var vProgressBar = scDynUiMgr.addElement("div", vProgressZone, "progressBar");
		vProgressBar.style.width = vProgress.cur*100/vProgress.count+"%";
	},
	loadSortKey : "zRubisMgr"
}
/* === Generic tasks ======================================================== */
/** rubisMgr.FadeEltTask : TiLib task that fades a given element in or out.
 * @param pElt element to fade.
 * @param pDir fade direction : 0=out, 1=in.
 * @param pStartFunc optionnal function that will be executed at the start of the task.
 * @param pEndFunc optionnal function that will be executed at the end of the task.
 * @param pInstant optionnal parameter if true no animation. */
rubisMgr.FadeEltTask = function(pElt,pDir,pStartFunc,pEndFunc,pInstant){
	//scCoLib.util.log("New scHPS.FadeEltTask");
	this.fRate = new Array();
	this.fRate[.5] = [.9, .8, .7, .6, .5];
	this.fRate[1] = [.5, .6, .7, .8, .9];
	try{
		this.fElt = pElt;
		this.fDir = (pDir >= 1 ? 1 : .5);
		this.fMgr = {fEnableEffects:"true"};
		this.fStartFunc = pStartFunc || function(){};
		this.fEndFunc = pEndFunc || function(){};
		if (pInstant || !this.fMgr.fEnableEffects) {
			this.terminate();
			return;
		}
		if (this.fElt.fFadeTask) {
			this.fElt.fFadeTask.changeDir(this.fDir);
		} else {
			this.fStartFunc();
			if(scCoLib.isIE) this.fElt.style.filter = 1-this.fDir==1 ? "progid:DXImageTransform.Microsoft.Alpha(opacity=100)" : "progid:DXImageTransform.Microsoft.Alpha(opacity=0)";
			else this.fElt.style.opacity = 1-this.fDir;
			this.fElt.style.visibility = "";
			this.fEndTime = ( Date.now  ? Date.now() : new Date().getTime() ) + 100;
			this.fIdx = -1;
			this.fElt.fFadeTask = this;
			scTiLib.addTaskNow(this);
		}
	}catch(e){scCoLib.util.log("ERROR rubisMgr.FadeEltTask : "+e);}
}
rubisMgr.FadeEltTask.prototype = {
	/** FadeEltTask.execTask */
	execTask : function(){
		while(this.fEndTime < (Date.now ? Date.now() : new Date().getTime()) && this.fIdx < this.fRate[this.fDir].length) {
			this.fIdx++;
			this.fEndTime += 100;
		}
		this.fIdx++;
		this.fEndTime += 100;
		if(this.fIdx >= this.fRate[this.fDir].length) {
			if(scCoLib.isIE) this.fElt.style.filter = "";
			else this.fElt.style.opacity = this.fDir;
			if(this.fDir == 0) this.fElt.style.visibility = "hidden";
			else this.fElt.style.visibility = "";
			this.fEndFunc();
			this.fElt.fFadeTask = null;
			return false;
		}
		if(scCoLib.isIE) this.fElt.filters.item("DXImageTransform.Microsoft.Alpha").opacity = this.fRate[this.fDir][this.fIdx]*100;
		else this.fElt.style.opacity = this.fRate[this.fDir][this.fIdx];
		return true;
	},
	/** FadeEltTask.execchangeDirTask */
	changeDir : function(pDir){
		var vDir = (pDir >= 1 ? 1 : .5)
		if (vDir != this.fDir) this.fIdx = this.fRate[this.fDir].length - this.fIdx - 1;
		this.fDir = vDir;
	},
	/** FadeEltTask.terminate */
	terminate : function(){
		// 	scCoLib.util.log("scHPS.FadeEltTask.terminate");
		this.fIdx = this.fRate[this.fDir].length;
		this.execTask();
	}
}